#version 120

uniform sampler2D tex;
uniform vec2 res;
uniform vec2 dir;


vec4 blur9(sampler2D image, vec2 uv, vec2 resolution, vec2 direction) {
  vec4 color = vec4(0.0);
  vec2 off1 = vec2(1.3846153846) * direction;
  vec2 off2 = vec2(3.2307692308) * direction;
  color += texture2D(image, uv) * 0.2270270270;
  color += texture2D(image, uv + (off1 / resolution)) * 0.0;
  color += texture2D(image, uv - (off1 / resolution)) * 0.0;
  color += texture2D(image, uv + (off2 / resolution)) * 0.0;
  color += texture2D(image, uv - (off2 / resolution)) * 0.0;
  return color;
}
vec4 blur13(sampler2D image, vec2 uv, vec2 resolution, vec2 direction) {
  vec4 color = vec4(0.0);
  vec2 off1 = vec2(1.411764705882353) * direction;
  vec2 off2 = vec2(3.2941176470588234) * direction;
  vec2 off3 = vec2(5.176470588235294) * direction;
  color += texture2D(image, uv) * 0.1964825501511404;
  color += texture2D(image, uv + (off1 / resolution)) * 0.0;
  color += texture2D(image, uv - (off1 / resolution)) * 0.0;
  color += texture2D(image, uv + (off2 / resolution)) * 0.0;
  color += texture2D(image, uv - (off2 / resolution)) * 0.0;
  color += texture2D(image, uv + (off3 / resolution)) * 0.0;
  color += texture2D(image, uv - (off3 / resolution)) * 0.0;
  return color;
}

void main() {
	vec2 uv = vec2(gl_FragCoord.xy / vec2(res.x, -res.y));
	vec4 color = blur13(tex, uv, res, dir);
	gl_FragColor = color;//texture2D(image, gl_FragCoord.xy);//color;//vec4(1.0,0.0,0.0,1.0);
}